Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.change
Class ChangeVisitorAdapter

    java.lang.Object
      |
      +--org.semanticweb.owl.model.change.ChangeVisitorAdapter

All Implemented Interfaces:
  ChangeVisitor

Direct Known Subclasses:
  OntologyChangeConverter, OntologyChangeEntityCollector

public class ChangeVisitorAdapter
extends Object
implements ChangeVisitor

Default implementation of `ChangeVisitor`. All methods are implemented as no-ops, but will issue log messages if the logger level for the class is set to DEBUG. This may be useful for debugging.

Version:
  $Id: ChangeVisitorAdapter.java,v 1.2 2003/12/11 12:59:45 sean_bechhofer Exp $

Constructor Summary
`ChangeVisitorAdapter()`

Method Summary
`void` | `visit(AddAnnotationInstance event)`
`void` | `visit(AddClassAxiom event)`
`void` | `visit(AddDataPropertyInstance event)`
`void` | `visit(AddDataPropertyRange event)`
`void` | `visit(AddDataType event)`
`void` | `visit(AddDomain event)`
`void` | `visit(AddEntity event)`
`void` | `visit(AddEnumeration event)`
`void` | `visit(AddEquivalentClass event)`
`void` | `visit(AddImport event)`
`void` | `visit(AddIndividualAxiom event)`
`void` | `visit(AddIndividualClass event)`
`void` | `visit(AddInverse event)`
`void` | `visit(AddObjectPropertyInstance event)`
`void` | `visit(AddObjectPropertyRange event)`
`void` | `visit(AddPropertyAxiom event)`
`void` | `visit(AddSuperClass event)`
`void` | `visit(AddSuperProperty event)`
`void` | `visit(RemoveClassAxiom event)`
`void` | `visit(RemoveEntity event)`
`void` | `visit(RemoveEnumeration event)`
`void` | `visit(RemoveEquivalentClass event)`
`void` | `visit(RemoveSuperClass event)`
`void` | `visit(SetDeprecated event)`
`void` | `visit(SetFunctional event)`
`void` | `visit(SetInverseFunctional event)`
`void` | `visit(SetLogicalURI event)`
`void` | `visit(SetOneToOne event)`
`void` | `visit(SetSymmetric event)`
`void` | `visit(SetTransitive event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeVisitorAdapter

    public ChangeVisitorAdapter()

Method Detail

### visit

    public void visit(AddAnnotationInstance event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - an `AddAnnotationInstance` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddEntity event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - an `AddEntity` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddDataType event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - an `AddDataType` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(RemoveEntity event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - a `RemoveEntity` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddImport event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - an `AddImport` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddIndividualAxiom event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - an `AddIndividualAxiom` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddClassAxiom event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddPropertyAxiom event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - an `AddPropertyAxiom` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddSuperClass event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddIndividualClass event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddEquivalentClass event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - an `AddEquivalentClass` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddEnumeration event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
  Parameters:
    `event` - an `AddEnumeration` value
  Throws:
    `OWLException` - if an error occurs

### visit

    public void visit(AddDomain event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddDataPropertyRange event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddObjectPropertyRange event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddInverse event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(SetFunctional event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(SetTransitive event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(SetSymmetric event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(SetInverseFunctional event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(SetOneToOne event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(SetDeprecated event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddObjectPropertyInstance event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddDataPropertyInstance event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(AddSuperProperty event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(RemoveClassAxiom event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(RemoveSuperClass event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(RemoveEquivalentClass event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(RemoveEnumeration event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

### visit

    public void visit(SetLogicalURI event)
               throws OWLException

  Specified by:
    `visit` in interface `ChangeVisitor`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb